package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.entity.MemberNotifyMail;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class MemberNotifyMailServiceTest extends S2DaoTestCase {

	@Resource
	private MemberNotifyMailService memberNotifyMailService;

	public MemberNotifyMailServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("MemberNotifyMailServiceTest");
		suite.addTest(new MemberNotifyMailServiceTest("insertMemberNotifyMailTx"));
		suite.addTest(new MemberNotifyMailServiceTest("findById"));
		suite.addTest(new MemberNotifyMailServiceTest("findAllOrderById"));
		suite.addTest(new MemberNotifyMailServiceTest("findByEnqueteId"));
		suite.addTest(new MemberNotifyMailServiceTest("findAllByEnqueteId"));
		suite.addTest(new MemberNotifyMailServiceTest("deleteByEnqueteIdTx"));

		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	public void findById() {
		System.out.println(memberNotifyMailService.findById(1));
	}

	public void insertMemberNotifyMailTx(){
		MemberNotifyMail memberNotifyMail = new MemberNotifyMail();
		memberNotifyMail.enqueteId = 10;
		memberNotifyMail.notifyMailSendFlg = 0;
	    memberNotifyMailService.insertMemberNotifyMail(memberNotifyMail,"CLASSTEST");
	}


	public void findAllOrderById(){
	    memberNotifyMailService.findAllOrderById();
	}

	public void findByEnqueteId(){
	    memberNotifyMailService.findByEnqueteId(10);
	}
	public void findAllByEnqueteId(){
	    memberNotifyMailService.findAllByEnqueteId("10");
	}

	public void deleteByEnqueteIdTx(){
	    memberNotifyMailService.deleteByEnqueteId("10");
	}
}
