package jp.agentec.sinaburocast.common.proc;

import java.io.IOException;

import org.apache.log4j.Logger;

/**
 * DefaultReaderWorkerクラス<br>
 * 標準出力の読み出し処理クラス
 *
 * @author tsukada
 *
 */
public class DefaultReaderWorker extends ReaderWorker {
	private static final Logger LOGGER = Logger.getLogger(DefaultReaderWorker.class);

	public void run() {
		String line;
		try {
			while ((line = super.bufferedReader.readLine()) != null) {
				if (LOGGER.isDebugEnabled()) {
					LOGGER.debug("stdOut:"+line);
				}
			}
		} catch (IOException e) {
			LOGGER.error("reader error.", e);
		}
	}

}
