package jp.agentec.sinaburocast.entity;

import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name="t_member_card_receipt")
public class MemberCardReceipt extends AbstractEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "member_card_receipt_id")
	public Integer memberCardReceiptId;

	@Column(name = "member_id")
	public Integer memberId;

	@Temporal(TemporalType.DATE)
	@Column(name = "apply_date")
	public Timestamp applyDate;

    @ManyToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
	public Member member;
}
