package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="t_point_get")
public class PointGet extends AbstractEntity {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "point_get_id")
	public Integer pointGetId;

	@Column(name = "member_id")
	public Integer memberId;

	@Column(name = "point_get_num")
	public Integer pointGetNum;

	@Column(name = "point_use_num")
	public Integer pointUseNum;

	@Column(name = "point_get_date")
	public String pointGetDate;

	@Column(name = "valid_flg")
	public Integer validFlg;
	
	
    @ManyToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
	public Member member;
}
