package jp.agentec.sinaburocast.form.user;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.Msg;
import org.seasar.struts.annotation.Required;
/**
 * ログインForm
 *
 * @author choi-c
 *
 */
public class LoginForm {

	@Required(msg=@Msg(key="errors.required.login"), arg0=@Arg(key="labels.loginId"))
	public String loginId;

	@Required(msg=@Msg(key="errors.required.login"), arg0=@Arg(key="labels.password"))
	public String password;
	//会員登録メールから来た際のチケット
	public String onetimeTicket;
	
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}

}
